<?php

use think\migration\Migrator;

class CreateAttachmentCategory extends Migrator
{
    /**
     * Change Method.
     *
     * Write your reversible migrations using this method.
     *
     * More information on writing migrations is available here:
     * http://docs.phinx.org/en/latest/migrations.html#the-abstractmigration-class
     *
     * The following commands can be used in this method and Phinx will
     * automatically reverse them when rolling back:
     *
     *    createTable
     *    renameTable
     *    addColumn
     *    renameColumn
     *    addIndex
     *    addForeignKey
     *
     * Remember to call "create()" or "update()" and NOT "save()" when working
     * with the Table class.
     */
    public function change()
    {
        $table = $this->table('attachment_category', ['engine' => 'MyISAM', 'comment' => '附件分类表']);
        $table->addColumn('pid', 'integer', ['null' => true, 'default' => 0, 'comment' => '上级id'])
            ->addColumn('language_id', 'integer', ['signed' => false , 'null' => false, 'comment' => '语言ID'])
            ->addColumn('name', 'string', ['limit' => 64 , 'null' => false, 'comment' => '分类名称'])
            ->addColumn('sort', 'integer', ['null' => false, 'default' => 0, 'comment' => '排序'])
            ->addColumn('is_show', 'boolean', ['null' => false, 'default' => 1, 'comment' => '是否显示:1是,0否'])
            ->addColumn('created_at', 'timestamp', ['null' => false, 'default' => 'CURRENT_TIMESTAMP', 'comment' => '创建时间'])
            ->addColumn('updated_at', 'timestamp', ['null' => false, 'default' => 'CURRENT_TIMESTAMP', 'update' => 'CURRENT_TIMESTAMP', 'comment' => '更新时间'])
            ->addColumn('deleted_at', 'timestamp', ['null' => true, 'comment' => '删除时间'])
            ->create();
    }
}
